﻿using System;
using System.Windows.Forms;

using TestClient.DownloadService;

namespace TestClient
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.downloadButton.Click += downloadButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 다운로드 버튼 클릭시 처리하기 - downloadButton_Click(sender, e)

        /// <summary>
        /// 다운로드 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void downloadButton_Click(object sender, EventArgs e)
        {
            string downloadFilePath = this.downloadFilePathTextBox.Text.Trim();

            if(string.IsNullOrEmpty(downloadFilePath))
            {
                MessageBox.Show("다운로드 파일 경로를 입력해 주시기 바랍니다.");

                return;
            }

            using(DownloadServiceClient client = new DownloadServiceClient("WSHttpBinding_IDownloadService"))
            {
                DownloadFile downloadFile = client.DownloadDocument(downloadFilePath);

                MessageBox.Show("다운로드를 완료했습니다 : " + downloadFile.FileName);
            }
        }

        #endregion
    }
}